%define oname   path_expander

Name:       ruby-%{oname}
Version:    1.1.0
Release:    %mkrel 1
Summary:    PathExpander helps pre-process command-line arguments expanding directories into their constituent files
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/seattlerb/path_expander
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems

BuildArch:  noarch


%description
PathExpander helps pre-process command-line arguments expanding
directories into their constituent files. It further helps by
providing additional mechanisms to make specifying subsets easier
with path subtraction and allowing for command-line arguments to be
saved in a file.
NOTE: this is NOT an options processor. It is a path processor
(basically everything else besides options). It does provide a
mechanism for pre-filtering cmdline options, but not with the intent
of actually processing them in PathExpander. Use OptionParser to
deal with options either before or after passing ARGV through
PathExpander.


%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc History.rdoc
%doc Manifest.txt
%doc README.rdoc


#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sun Jan 17 2021 pterjan <pterjan> 1.1.0-1.mga8
+ Revision: 1672210
- imported package ruby-path_expander

